#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 3 integration module for global shortcuts
Name:           kglobalaccel
Version: 6.8.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Help)

BuildRequires:  cmake(KF6Config) >= %{version}
BuildRequires:  cmake(KF6CoreAddons) >= %{version}
BuildRequires:  cmake(KF6Crash) >= %{version}
BuildRequires:  cmake(KF6DBusAddons) >= %{version}
BuildRequires:  cmake(KF6WindowSystem) >= %{version}

BuildRequires:  cmake(KF6Service) >= %{version}

%description
KDE Frameworks 6 Tier 3 integration module for global shortcuts.

%files -f %{name}6_qt.lang
%_kf6_categoriesdir/kglobalaccel.*categories
%_kf6_datadir/dbus-1/interfaces/kf6_org.kde.KGlobalAccel.xml
%_kf6_datadir/dbus-1/interfaces/kf6_org.kde.kglobalaccel.Component.xml

#--------------------------------------------------------------------

%define kf6globalaccel_major 6
%define libkf6globalaccel %mklibname kf6globalaccel %{kf6globalaccel_major}

%package -n %libkf6globalaccel
Summary:        KDE Frameworks 6 Tier 3 integration module for global shortcuts
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6globalaccel
KDE Frameworks 6 Tier 3 integration module for global shortcuts.

%files -n %libkf6globalaccel
%_kf6_libdir/libKF6GlobalAccel.so.%{kf6globalaccel_major}{,.*}
%_kf6_libdir/libKF6GlobalAccel.so.%{version}

#--------------------------------------------------------------------

%define kf6globalaccel_devel %mklibname kf6globalaccel -d

%package -n %kf6globalaccel_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6globalaccel = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6globalaccel_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6globalaccel_devel
%_kf6_includedir/KGlobalAccel/
%_kf6_libdir/cmake/KF6GlobalAccel/
%_kf6_libdir/libKF6GlobalAccel.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang_kf6 %{name}6_qt



%changelog
* Sat Nov 09 2024 daviddavid <daviddavid> 6.8.0-1.mga10
+ Revision: 2113079
- New version 6.8.0

* Fri Oct 11 2024 daviddavid <daviddavid> 6.7.0-1.mga10
+ Revision: 2104757
- New version 6.7.0

* Sat Sep 14 2024 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 2095923
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084365
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070537
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063393
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056827
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044925
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037485
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029578
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025612
- New version 5.247.0
- New version 5.246.0

* Fri Nov 10 2023 neoclust <neoclust> 5.245.0-1.mga10
+ Revision: 2005888
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 5.111.0-1.mga10
+ Revision: 1998964
- New version 5.111.0

* Sat Sep 16 2023 daviddavid <daviddavid> 5.110.0-1.mga10
+ Revision: 1987355
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952042
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947848
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941354
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935343
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922252
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911619
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900223
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887658
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880605
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871705
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853225
- New version 5.93.0

* Thu Apr 07 2022 neoclust <neoclust> 5.92.0-2.mga9
+ Revision: 1847290
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754833
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749084
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 5.86.0-1.mga9
+ Revision: 1747044
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735266
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723457
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714853
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702031
- New version 5.80.0

* Fri Feb 26 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691950
- New version 5.79.0

* Tue Jan 26 2021 neoclust <neoclust> 5.76.0-2.mga8
+ Revision: 1673427
- Add P0 to Avoid autostarting kglobalaccel when shutting down (mga#28221)

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653650
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633190
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625611
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612734
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603094
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592788
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582014
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566505
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556681
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546753
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486819
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466229
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457614
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1450996
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444808
- New version 5.62.0

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420460
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386936
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1382384
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374564
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364538
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356661
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339217
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318964
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298531
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247973
- New version 5.49.0

* Mon May 14 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1229252
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192284
- New version 5.42.0

* Thu Dec 28 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1186115
- New version 5.41.0

* Fri Sep 29 2017 neoclust <neoclust> 5.38.1-1.mga7
+ Revision: 1161553
- New version 5.38.1
- New version 5.38.0
- Use %%find_lang_kf5 to handle qm files

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140402
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123503
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088966
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074537
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072202
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058357
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050534
- New version 5.26.0

* Thu Aug 18 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1046892
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041334
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021932
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014342
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999638
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986331
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942251
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921284
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913083
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909884
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900506
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899439
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898928
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888168
- New version 5.15.0

* Sun Sep 20 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881637
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862953
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-5.mga6
+ Revision: 862633
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Fri Aug 07 2015 neoclust <neoclust> 5.12.0-4.mga6
+ Revision: 861535
- Add conflict against previous plasma-workspace

* Fri Aug 07 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 861531
- Fix upgrade from mga5

* Sat Aug 01 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 860438
- Fix file list ( Sander85)

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853987
- New version 5.12.0

* Fri Jun 26 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 844346
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803359
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 749519
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681061
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660431
- New version 5.1.0

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 655181
- Rebuild against new kf5 macros

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651585
- New version 5.0.0

* Sun Jul 06 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 645408
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611279
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599686
- New version 4.97.0

* Sun Feb 16 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 593053
- New version 4.96.0

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-1.mga5
+ Revision: 587765
- imported package kglobalaccel

